<?php
namespace Ak\Form;

use Laminas\ServiceManager\Factory\InvokableFactory;

return [
    'view_helpers' => [
        'aliases' => [
            'form' => View\Helper\Form::class,
            'form_additional_info' => View\Helper\FormAdditionalInfo::class,
            'form_button' => View\Helper\FormButton::class,
            'form_checkbox' => View\Helper\FormCheckbox::class,
            'form_collection' => View\Helper\FormCollection::class,
            'form_control' => View\Helper\FormControl::class,
            'form_element' => View\Helper\FormElement::class,
            'form_element_delegate'  => View\Helper\FormElementDelegate::class,
            'form_element_description' => View\Helper\FormElementDescription::class,
            'form_element_errors' => View\Helper\FormElementErrors::class,
            'form_icon' => View\Helper\FormIcon::class,
            'form_input'    => View\Helper\FormInput::class,
            'form_label'    => View\Helper\FormLabel::class,
            'form_multi_checkbox' => View\Helper\FormMultiCheckbox::class,
            'form_select'   => View\Helper\FormSelect::class,
            'form_textarea' => View\Helper\FormTextarea::class,
        ],

        'factories' => [
            View\Helper\Form::class => InvokableFactory::class,
            View\Helper\FormAdditionalInfo::class => InvokableFactory::class,
            View\Helper\FormButton::class => InvokableFactory::class,
            View\Helper\FormCheckbox::class => InvokableFactory::class,
            View\Helper\FormCollection::class => InvokableFactory::class,
            View\Helper\FormControl::class => InvokableFactory::class,
            View\Helper\FormElement::class => InvokableFactory::class,
            View\Helper\FormElementDelegate::class  => InvokableFactory::class,
            View\Helper\FormElementDescription::class => InvokableFactory::class,
            View\Helper\FormElementErrors::class => InvokableFactory::class,
            View\Helper\FormIcon::class => InvokableFactory::class,
            View\Helper\FormInput::class    => InvokableFactory::class,
            View\Helper\FormLabel::class    => InvokableFactory::class,
            View\Helper\FormSelect::class => InvokableFactory::class,
            View\Helper\FormMultiCheckbox::class => InvokableFactory::class,
            View\Helper\FormTextarea::class => InvokableFactory::class,
        ],
    ],
];
