<?php
namespace AkTest\Form\Element;

use Ak\Form\Element\Checkbox;
use AkTest\Form\AbstractTestCase;

/**
 * Class CheckboxTest
 *
 * @package AkTest\Form\Element
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
class CheckboxTest extends AbstractTestCase
{
    public function testIsRegistered()
    {
        $manager = $this->getFormElementManager();

        $this->assertTrue($manager->has('checkbox'));
        $this->assertInstanceOf(Checkbox::class, $manager->get('checkbox'));
    }
}