<?php
namespace AkTest\Form\View\Helper;

use Ak\Form\Element\Submit;
use Ak\Form\View\Helper\FormElement;
use AkTest\Form\AbstractTestCase;

/**
 * Class FormGroupTest
 *
 * @package EpTest\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class GroupTest extends AbstractTestCase
{
    public function testLabelIsNotRenderedForButtons()
    {
        $element = new Submit('submit', [
            'label' => 'LABEL',
        ]);

        /** @var FormElement $helper */
        $helper = $this->getHelper('form_element');
        $rendered = $helper($element);

        /** @noinspection PhpParamsInspection */
        $this->assertSelectCount('label', 0, $rendered, 'Label postoji, a ne bi smio');
    }
}