import './additional-info';
import './checkbox';

document.addEventListener('DOMContentLoaded', () => {

    const links = document.querySelectorAll('.FormMultiCheckbox__ToggleAll');

    for (let i = 0; i < links.length; i++) {
        const link = links[i] as HTMLAnchorElement;

        link.addEventListener('click', (e: MouseEvent) => {
            e.preventDefault();

            const checkboxes = link.parentElement.querySelectorAll('input[type="checkbox"]');
            const checked = !(checkboxes[0] as HTMLInputElement).checked;

            for (let i = 0; i < checkboxes.length; i++) {
                (checkboxes[i] as HTMLInputElement).checked = checked;
            }
        });
    }
});