<?php
namespace Ak\Form\View\Helper;

use Laminas\Form\ElementInterface;
use Laminas\Form\View\Helper\AbstractHelper;

/**
 * Class FormElementDescription
 *
 * @package Ak\Form\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
final class FormElementDescription extends AbstractHelper
{
    use HelperTools;

    public function __invoke(ElementInterface $element)
    {
        if ($description = $element->getOption('description')) {
            return sprintf('<div class="FormElement__Description">%s</div>', $description);
        }

        return '';
    }
}
