<?php
namespace Ak\Form\View\Helper;

use Laminas\Form\View\Helper\FormElementErrors as BaseFormElementErrors;

/**
 * Renderira greške elementa u obrascu.
 *
 * @package Ak\Form\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
final class FormElementErrors extends BaseFormElementErrors
{
    /** @var string */
    protected $messageOpenFormat = '<ul%s><li class="FormElementErrors__Error">';
    /** @var string */
    protected $messageSeparatorString = '</li><li class="FormElementErrors__Error">';
    /** @var array */
    protected $attributes = [
        'class' => 'FormElementErrors',
    ];
}
