<?php
namespace AkTest\Form;

use Ak\Form\FormElementManager;

/**
 * Class FormPluginManagerTest
 *
 * @package AkTest\Form
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
class FormElementManagerTest extends AbstractTestCase
{
    public function testIsRegistered()
    {
        $container = $this->getContainer();

        $this->assertTrue($container->has(FormElementManager::class));
        $this->assertTrue($container->has('FormElementManager'));

        $manager = $container->get(FormElementManager::class);

        $this->assertInstanceOf(FormElementManager::class, $manager);
        $this->assertSame($manager, $container->get('FormElementManager'));
    }
}